=== debian/changelog ===
ros-indigo-cob-map-accessibility-analysis (0.6.7-0trusty) trusty; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-map-accessibility-analysis (0.6.6-0trusty) trusty; urgency=high

  * Merge pull request #97 <https://github.com/ipa320/cob_navigation/issues/97> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #94 <https://github.com/ipa320/cob_navigation/issues/94> from ipa-rmb/indigo_dev
    corrected comment
  * corrected comment
  * Merge pull request #93 <https://github.com/ipa320/cob_navigation/issues/93> from ipa-fez/bugfix/install_map_accessibility_analysis_library
    install libmap_accessibility_analysis
  * install libmap_accessibility_analysis
  * Merge pull request #92 <https://github.com/ipa320/cob_navigation/issues/92> from ipa-rmb/indigo_dev
    some format harmonization
  * some format harmonization
  * Merge pull request #89 <https://github.com/ipa320/cob_navigation/issues/89> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix, Felix Messmer, Richard Bormann, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-map-accessibility-analysis (0.6.5-0trusty) trusty; urgency=high

  * remove obsolete dependencies to cmake_modules
  * added comment
  * disabled the output
  * bugfix
  * moved two functions to the public section in class
  * added missing dependency
  * code review
  * restructuring map_accessibility_analysis so that it can be used as lib and as ROS service
  * Fixed headers and output
  * Fix compile warning
  * Reformatted source files with ipa_code_refactoring
  * Fixed headers and replaced std::cout with ROS logging services
  * Moved files into folder
  * Contributors: Benjamin Maidel, Elias Marks, Richard Bormann, ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000
